Index: ipk/source/system_mini_fo_0_1/CONTROL/preinst
===================================================================
--- ipk/source/system_mini_fo_0_1/CONTROL/preinst	(revision 521)
+++ ipk/source/system_mini_fo_0_1/CONTROL/preinst	(revision 3682)
@@ -10,4 +10,18 @@
 	exit 1
 fi
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
